use $dataout/dataset_final, clear

collapse pre_s_cur_amm_i, by(cod)

foreach y in  pre_s_cur_amm_i  {
hist `y', w(0.01) frac  ///
scheme(s2mono) graphregion(margin(3 3 3 3) fcolor(white) lcolor(white)) plotregion(lcolor(white)) ///
	ylabel(, nogrid labsize(medium)) yscale(titlegap(2)) ysc(r()) ytitle("Share of municipalities", size(medium))  ///
	xscale(titlegap(2)) xtitle("Ex ante share of rigid spending", size(medium)) xlabel(0(.2)1, valuelabel labsize(medium)) ///
	legend(off) 
graph export $output/appendix/figA2.png, as(png) replace
}
