use $dataout/dataset_final.dta, clear

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

collapse female mese cittadinanza mat ita exp edu_padre edu_madre regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age dosageXexp c_y_avg c_compr sp lsp, by(cod ay) 

foreach y in sp lsp mat ita {
reghdfe `y' exp dosageXexp, a(ay cod) cluster(cod) 
test exp dosageXexp
local f = r(F)
local f: di %9.3f `f'
outreg2 using $output/appendix/tabA5_`y'.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
replace addtext(Municipality FE, Yes, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, F-stat, `f') nocons 

reghdfe `y' exp dosageXexp `m', a(election_year#ay cod) cluster(cod) 
test exp dosageXexp
local f = r(F)
local f: di %9.3f `f'
outreg2 using $output/appendix/tabA5_`y'.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, No, Other controls, No, F-stat, `f') nocons

reghdfe `y' exp dosageXexp `c' `m' , a(election_year#ay cod) cluster(cod) 
test exp dosageXexp
local f = r(F)
local f: di %9.3f `f'
outreg2 using $output/appendix/tabA5_`y'.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, No, F-stat, `f') nocons 

reghdfe `y' exp dosageXexp `c' `m' `m2', a(election_year#ay cod) cluster(cod) 
test exp dosageXexp
local f = r(F)
local f: di %9.3f `f'
outreg2 using $output/appendix/tabA5_`y'.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, Yes, F-stat, `f') nocons 
} 