
*Routines to be downloaded
ssc install spmap, replace
ssc install binscatter, replace
ssc install outreg2, replace
ssc install fillmissing, replace
ssc install egenmore, replace
ssc install coefplot, replace
cap ado uninstall ftools
net install ftools, from("https://raw.githubusercontent.com/sergiocorreia/ftools/master/src/") replace
cap ado uninstall reghdfe
net install reghdfe, from("https://raw.githubusercontent.com/sergiocorreia/reghdfe/master/src/") replace
cap ado uninstall ivreg2
ssc install ivreg2, replace
cap ado uninstall ivreghdfe
net install ivreghdfe, from("https://raw.githubusercontent.com/sergiocorreia/ivreghdfe/master/src/")    replace
set more off

*Global
global dir "C:\Users\erubolin\Dropbox\paru\submissions\ej_final_2\replication_original_data\" /*adjust here the default path*/
global datain	"${dir}datain"
global dataout	"${dir}dataout"
global programs	"${dir}programs"
global output	"${dir}output"
global temp	"${dir}temp"

*Run the analysis
do $programs/01_data_prep/01_main.do
do $programs/02_analysis/02_main.do
do $programs/03_appendix/03_main.do
