///////////
*Summary statistics
///////////

use $dataout/dataset_final.dta, clear
merge m:1 codice_scuola ay using  $dataout/dataset_invalsi_dirigenti.dta, nogen

keep sp lsp sp_cur lsp_cur sp_dcap lsp_dcap exp dosage c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age c_y_avg c_compr lpop

putexcel set "$output/appendix/tabA3.xlsx", sheet("sum") replace
putexcel A1=("Variable") B1=("Obs") C1=("Mean") D1=("SD") E1=("Min") F1=("Max") 

local row=2
foreach s in sp lsp sp_cur lsp_cur sp_dcap lsp_dcap exp dosage c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age c_y_avg c_compr lpop {
putexcel A`row' = ("`s'")
sum `s'
putexcel B`row' = (r(N)), nformat(number_d3)
putexcel C`row' = (r(mean)), nformat(number_d3)
putexcel D`row' = (r(sd)), nformat(number_d3)
putexcel E`row' = (r(min)), nformat(number_d3)
putexcel F`row' = (r(max)), nformat(number_d3)
local ++row
}
